## org.apache.axis.components.image
Interface ImageIO

All Known Implementing Classes:
  JDK13IO, JimiIO, MerlinIO

public interface ImageIO

This interface defines a ImageIO modules functionality

Since:
  2.0
Author:
  Davanum Srinivas

Method Summary
`java.awt.Image` `loadImage(java.io.InputStream in)` Load an Image.
`void` `saveImage(java.lang.String id, java.awt.Image image, java.io.OutputStream os)` Save an image.

Method Detail

### saveImage

    public void saveImage(java.lang.String id,
                          java.awt.Image image,
                          java.io.OutputStream os)
                   throws java.lang.Exception

  Save an image.

  Parameters:
    `id` - the mime-type of the format to save the image
    `image` - the image to save
    `os` - the output stream to write to
  Throws:
    `java.lang.Exception` - if an error prevents image encoding

### loadImage

    public java.awt.Image loadImage(java.io.InputStream in)
                             throws java.lang.Exception

  Load an Image.

  Parameters:
    `in` - the stream to load the image
  Returns:
    the Image
  Throws:
    `java.lang.Exception`

Copyright © 2005 Apache Web Services Project. All Rights Reserved.